For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/api-key/post-api-api-key-v1.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Create API Key

POST
/api/api-key/v1/
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { apiKey, apiKeyError } = await reloop.apiKey.create({
6 name: "Production Key",
7});
8
9if (apiKeyError) throw apiKeyError;
10
11console.log(apiKey.id, apiKey.key);
1{
2 "id": "key_123456789",
3 "name": "Production API Key",
4 "key": "rl_live_abc123def456ghi789",
5 "enabled": true,
6 "createdAt": "2026-03-29T10:00:00Z",
7 "updatedAt": "2026-03-29T10:00:00Z",
8 "permissions": "read,write"
9}

Body Parameters

namestringRequired

Name for the API key

  • Minimum length: 1
  • Maximum length: 255

Was this page helpful?